package de.jaujau.daten;

import java.awt.Image;
import java.io.IOException;
import javax.imageio.ImageIO;


/**
 * Klasse für Interne Texturen Pakete deren Bilddaten sich die direkt im jar Archiv befinden
 * ein Internes Paket muss NICHT geladen werden befor es genutz werden kann!
 * Interne Pakete werden NICHT auf vollständigkeit geprüft!
 * @author Sebastian Kacza
 *
 */
public class TexturenpaketIntern extends Texturenpaket{

	public String pfad;
	
	
	/**
	 * Erstelt ein Neues Internes Texturenpaket
	 * @param Pfad Interner Pfad du den Bilddateien z.b. /img/texturen/standart
	 * @param Name Name des Paketes
	 * @param Level Minideslevel des Paketes
	 */
	public TexturenpaketIntern(String Pfad ,String Name, int Level) {
		super(Pfad);
		name = Name;
		level = Level;
		pfad = Pfad;
	}
	
	
	/**
	 * Das laden der Daten eines Internet Paket ist nicht notwendig!
	 */
	@Override
	public boolean ladePacket() {
		return true;
	}

	
	/**
	 * Gibt alle Bilddatein von dem Texturenpaket als Image Array zurück
	 * @return Image Array der Texturen des Paketes
	 */
	@Override
	public Image[] getTexturen() {
		Image Bilder[] = new Image[33];
		for(int i = 0; i < 33; i++) {
			try {
				Bilder[i] = ImageIO.read(getClass().getResource(pfad +"/" + i + ".png"));
			} catch (IOException e) {
				Bilder[i] = null;
				e.printStackTrace();
			}
		}
		return Bilder;
	}	
	
}
